#ifndef SERVICES_H
#define SERVICES_H

#include "services_global.h"
#include <core.h>
#include <QObject>
#include <QtPlugin>

class SERVICESSHARED_EXPORT Services : public QObject, IMetaDataPlugin
{
    Q_OBJECT

    Q_PLUGIN_METADATA(IID PluginInterface_iid FILE "service.json")
    Q_INTERFACES(IPlugin)

public:
    Services();

protected:
    void initServiceUi() Q_DECL_OVERRIDE;

};

#endif // SERVICES_H
